Bug 10470 - Add 2nd Panel to CardLayout -> not possible (notab vivible)
Add 2nd Panel to CardLayout -> not possible (notab vivible)
Status: CLOSED INVALID
Product: guibuilder
Classification: Unclassified
Component: Code
3.x
PC Windows 3.1/NT
: P1 (vote)
: TBD
Assigned To: issues@java
issues@java
http://www.nichte.de
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-19 16:57 UTC by bauchladen
Modified: 2003-06-30 18:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bauchladen 2001-03-19 16:57:11 UTC
"How to use CardLayout
The Basics:

Create the JFrame or JApplet. 
Set layout to CardLayout. 
Add a JPanel. It becomes card1. It will have a tab visible."

But there is no card visible...

There is no chance to add a 2nd JPanel to ...

Im shure that it was ok in a previous release ...

Happy hours

Casi
Comment 1 Petr Suchomel 2001-03-19 17:06:28 UTC
Reasigned to Form editor
Comment 2 Marian Mirilovic 2001-03-20 10:14:44 UTC
Now Form Editor display right frame in design time, it means that if you compile
your frame and run it , you can see the same (or with small differences) frame
as in design time.

CardLayout - last release display layout with tabs, but real card layout doesn't
have tabs. If you set card layout , you can create cards (with components) but
visible card hasn't tab.

Adding problem:
you can add next JPanel or create new card by this way:

1. you have some card in card layout (e.g. JPanel)
2. select Top-component in Component Inspector (or hold Control and push mouse
on Form Designer Window until Top-component(node) isn't selected in Component
Inspector )
3. select component (JPanel, JButton, Label, ..) in Component Palette
4. hold control and click mouse on Form Designer window ( or cantainer with 
CardLayout)
- Component is added to Container as new card.

Thanx for report, but as I write - this isn't bug.
Comment 3 Quality Engineering 2003-06-30 18:21:32 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 4 Quality Engineering 2003-06-30 18:26:52 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo